Index: /branches/network/src/lib/network/network_stream.cc
===================================================================
--- /branches/network/src/lib/network/network_stream.cc	(revision 6866)
+++ /branches/network/src/lib/network/network_stream.cc	(revision 6867)
@@ -263,12 +263,26 @@
         if ( reciever!=0 )
         {
-          if ( networkSockets[reciever] != NULL )
-          {
-            PRINTF(5)("write %d bytes to socket %d\n", dataLength, reciever);
-            networkSockets[reciever]->writePacket(downBuffer, dataLength);
+          if ( reciever < 0)
+          {
+            for ( int i = 0; i<networkSockets.size(); i++)
+            {
+              if ( i!=-reciever && networkSockets[i] != NULL )
+              {
+                PRINTF(5)("write %d bytes to socket %d\n", dataLength, i);
+                networkSockets[i]->writePacket(downBuffer, dataLength);
+              }
+            }
           }
           else
           {
-            PRINTF(1)("networkSockets[reciever] == NULL\n");
+            if ( networkSockets[reciever] != NULL )
+            {
+              PRINTF(5)("write %d bytes to socket %d\n", dataLength, reciever);
+              networkSockets[reciever]->writePacket(downBuffer, dataLength);
+            }
+            else
+            {
+              PRINTF(1)("networkSockets[reciever] == NULL\n");
+            }
           }
         }
Index: /branches/network/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/network/src/world_entities/space_ships/space_ship.cc	(revision 6866)
+++ /branches/network/src/world_entities/space_ships/space_ship.cc	(revision 6867)
@@ -563,4 +563,6 @@
         
       }
+      else
+        assert(false);
       
       continue;
@@ -576,4 +578,6 @@
         SYNCHELP_READ_FLOAT( mouseDir.v.z, NWT_SS_MOUSEDIRZ );
       }
+      else
+        assert(false);
       
       continue;
@@ -583,5 +587,9 @@
     {
       if ( this->getOwner() != this->getHostID() )
+      {
         SYNCHELP_READ_FKT( PNode::writeSync, NWT_SS_PN_SYNC );
+      }
+      else
+        assert(false);
       
       continue;
@@ -595,5 +603,7 @@
         SYNCHELP_READ_FLOAT( velocity.y, NWT_SS_VELY );
         SYNCHELP_READ_FLOAT( velocity.z, NWT_SS_VELZ );
-      }
+      }      
+      else
+        assert(false);
       
       continue;
@@ -603,5 +613,9 @@
     {
       if ( this->getOwner() != this->getHostID() )
+      {
         SYNCHELP_READ_FKT( Playable::writeSync, NWT_SS_PL_SYNC );
+      }
+      else
+        assert(false);
     }
   }
@@ -637,5 +651,6 @@
   }
 
-  *reciever = 0;
+  *reciever = -this->getOwner();
+  bool sentSomething = false;
   
   if ( ( this->getHostID()==0 || this->getOwner() == this->getHostID() ) && PNode::needsReadSync() )
@@ -668,4 +683,5 @@
     {
       oldMask = mask;
+      sentSomething = true;
       SYNCHELP_WRITE_BYTE( DATA_flags, NWT_SS_B );
       SYNCHELP_WRITE_BYTE( mask, NWT_SS_FLAGS );
@@ -682,4 +698,5 @@
       SYNCHELP_WRITE_BYTE( DATA_mouse, NWT_SS_B );
       PRINTF(0)("SENDING mousedir\n");
+      sentSomething = true;
       SYNCHELP_WRITE_FLOAT( mouseDir.w, NWT_SS_MOUSEDIRW );
       SYNCHELP_WRITE_FLOAT( mouseDir.v.x, NWT_SS_MOUSEDIRX );
@@ -693,13 +710,14 @@
     {
       oldVelocity = velocity;
-      PRINTF(0)("SENDING velocity\n");
-      SYNCHELP_WRITE_BYTE( DATA_velocity, NWT_SS_B );
-      SYNCHELP_WRITE_FLOAT( velocity.x, NWT_SS_VELX );
-      SYNCHELP_WRITE_FLOAT( velocity.y, NWT_SS_VELY );
-      SYNCHELP_WRITE_FLOAT( velocity.z, NWT_SS_VELZ );
+      //PRINTF(0)("SENDING velocity\n");
+      //SYNCHELP_WRITE_BYTE( DATA_velocity, NWT_SS_B );
+      //SYNCHELP_WRITE_FLOAT( velocity.x, NWT_SS_VELX );
+      //SYNCHELP_WRITE_FLOAT( velocity.y, NWT_SS_VELY );
+      //SYNCHELP_WRITE_FLOAT( velocity.z, NWT_SS_VELZ );
     }
     
     if ( Playable::needsReadSync() )
     {
+      sentSomething = true;
       SYNCHELP_WRITE_BYTE( DATA_playables, NWT_SS_B );
       SYNCHELP_WRITE_FKT( Playable::readSync, NWT_SS_PL_SYNC );
@@ -707,4 +725,7 @@
 
   }
+  
+  if ( !sentSomething )
+    reciever = 0;
 
   return SYNCHELP_WRITE_N;
